com.hazelcast.monitor

## Interface LocalCacheStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats

      public interface LocalCacheStats
      extends LocalInstanceStats

  Local cache statistics to be used by `MemberState` implementations.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAverageGetTime()` Returns the mean time to execute gets on the cache.
    `float` | `getAveragePutTime()` Returns the mean time to execute puts on the cache.
    `float` | `getAverageRemoveTime()` Returns the mean time to execute removes on the cache.
    `long` | `getCacheEvictions()` Returns the number of evictions on the cache.
    `long` | `getCacheGets()` Returns the number of gets on the cache.
    `float` | `getCacheHitPercentage()` Returns the percentage of hits (successful get operations) on the cache.
    `long` | `getCacheHits()` Returns the number of hits (successful get operations) on the cache.
    `long` | `getCacheMisses()` Returns the number of missed cache accesses on the cache.
    `float` | `getCacheMissPercentage()` Returns the percentage of missed cache accesses on the cache.
    `long` | `getCachePuts()` Returns the number of puts to the queue.
    `long` | `getCacheRemovals()` Returns the number of removals from the queue.
    `long` | `getLastAccessTime()` Gets the last access time to cache.
    `long` | `getLastUpdateTime()` Gets the last update time to cache.
    `long` | `getOwnedEntryCount()` Returns the owned entry count in the cache.

    - ### Methods inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `getCreationTime`

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getLastAccessTime

          long getLastAccessTime()

      Gets the last access time to cache.
      Returns:
        the last access time to cache

    - #### getLastUpdateTime

          long getLastUpdateTime()

      Gets the last update time to cache.
      Returns:
        the last update time to cache

    - #### getOwnedEntryCount

          long getOwnedEntryCount()

      Returns the owned entry count in the cache.
      Returns:
        the owned entry count in the cache

    - #### getCacheHits

          long getCacheHits()

      Returns the number of hits (successful get operations) on the cache.
      Returns:
        the number of hits (successful get operations) on the cache

    - #### getCacheHitPercentage

          float getCacheHitPercentage()

      Returns the percentage of hits (successful get operations) on the cache.
      Returns:
        the percentage of hits (successful get operations) on the cache

    - #### getCacheMisses

          long getCacheMisses()

      Returns the number of missed cache accesses on the cache.
      Returns:
        the number of missed cache accesses on the cache

    - #### getCacheMissPercentage

          float getCacheMissPercentage()

      Returns the percentage of missed cache accesses on the cache.
      Returns:
        the percentage of missed cache accesses on the cache

    - #### getCacheGets

          long getCacheGets()

      Returns the number of gets on the cache.
      Returns:
        the number of gets on the cache

    - #### getCachePuts

          long getCachePuts()

      Returns the number of puts to the queue.
      Returns:
        the number of puts to the queue

    - #### getCacheRemovals

          long getCacheRemovals()

      Returns the number of removals from the queue.
      Returns:
        the number of removals from the queue

    - #### getCacheEvictions

          long getCacheEvictions()

      Returns the number of evictions on the cache.
      Returns:
        the number of evictions on the cache

    - #### getAverageGetTime

          float getAverageGetTime()

      Returns the mean time to execute gets on the cache.
      Returns:
        the mean time in µs to execute gets on the cache

    - #### getAveragePutTime

          float getAveragePutTime()

      Returns the mean time to execute puts on the cache.
      Returns:
        the mean time in µs to execute puts on the cache

    - #### getAverageRemoveTime

          float getAverageRemoveTime()

      Returns the mean time to execute removes on the cache.
      Returns:
        the mean time in µs to execute removes on the cache

Copyright © 2019. All rights reserved.